package setting

var RedHatSysInfoTemplate = `################################################################################
# OS Release
#
{{.OsRelease}}

################################################################################
# Desktop Environments
#
{{.DesktopEnvs}}

################################################################################
# Desktop Installed
#
{{.DesktopInstalled}}

################################################################################
# SELinux Status
#
{{.SELinuxStatus}}

################################################################################
# SELinux Errors
#
{{.SELinuxErrors}}

################################################################################
# CPU Info
#
{{.CPUInfo}}

################################################################################
# 64-bit Support
#
{{.Support64bit}}

################################################################################
# Virtualization Support
#
{{.VirtSupport}}

################################################################################
# Load Average
#
{{.LoadAverage}}

################################################################################
# Memory usage
#
{{.MemUsage}}

################################################################################
# Top 5 CPU hogs
#
{{.TopCPUHogs}}

################################################################################
# Top 5 memory hogs
#
{{.TopMemHogs}}

################################################################################
# Disk space usage
#
{{.DiskUsage}}

################################################################################
# Block Devices
#
{{.BlockDevs}}

################################################################################
# PCI devices
#
{{.PciDevs}}

################################################################################
# USB devices
#
{{.USBDevs}}

################################################################################
# DRM Information
#
{{.DRMInfo}}

################################################################################
# Xorg modules
#
{{.XorgModules}}

################################################################################
# GL Support
#
{{.GLSupport}}

################################################################################
# Xorg errors
#
{{.XorgErrors}}

################################################################################
# Kernel Buffer Tail
#
{{.DmesgTail}}

################################################################################
# Last few reboots
#
{{.LastTenReboots}}

################################################################################
# DNF Repos
#
{{.DnfRepoList}}
{{.DnfRepoFiles}}
{{.YumConf}}

################################################################################
# Last 20 packages
#
{{.LastTwentyPackages}}

################################################################################
# EFI Support
#
{{.EFISupport}}
`

var SuseSysInfoTemplate = `################################################################################
# OS Release
#
{{.OsRelease}}

################################################################################
# Desktop Environments
#
{{.DesktopEnvs}}

################################################################################
# Desktop Installed
#
{{.DesktopInstalled}}

################################################################################
# AppArmor Status
#
{{.AppArmorStatus}}

################################################################################
# CPU Info
#
{{.CPUInfo}}

################################################################################
# 64-bit Support
#
{{.Support64bit}}

################################################################################
# Virtualization Support
#
{{.VirtSupport}}

################################################################################
# Load Average
#
{{.LoadAverage}}

################################################################################
# Memory usage
#
{{.MemUsage}}

################################################################################
# Top 5 CPU hogs
#
{{.TopCPUHogs}}

################################################################################
# Top 5 memory hogs
#
{{.TopMemHogs}}

################################################################################
# Disk space usage
#
{{.DiskUsage}}

################################################################################
# Block Devices
#
{{.BlockDevs}}

################################################################################
# PCI devices
#
{{.PciDevs}}

################################################################################
# USB devices
#
{{.USBDevs}}

################################################################################
# DRM Information
#
{{.DRMInfo}}

################################################################################
# Xorg modules
#
{{.XorgModules}}

################################################################################
# GL Support
#
{{.GLSupport}}

################################################################################
# Xorg errors
#
{{.XorgErrors}}

################################################################################
# Kernel Buffer Tail
#
{{.DmesgTail}}

################################################################################
# Last few reboots
#
{{.LastTenReboots}}

################################################################################
# Last 20 packages
#
{{.LastTwentyPackages}}

################################################################################
# EFI Support
#
{{.EFISupport}}
`

var UnknownSysInfoTemplate = `################################################################################
# OS Release
#
{{.OsRelease}}

################################################################################
# Desktop Environments
#
{{.DesktopEnvs}}

################################################################################
# Desktop Installed
#
{{.DesktopInstalled}}

################################################################################
# CPU Info
#
{{.CPUInfo}}

################################################################################
# 64-bit Support
#
{{.Support64bit}}

################################################################################
# Virtualization Support
#
{{.VirtSupport}}

################################################################################
# Load Average
#
{{.LoadAverage}}

################################################################################
# Memory usage
#
{{.MemUsage}}

################################################################################
# Top 5 CPU hogs
#
{{.TopCPUHogs}}

################################################################################
# Top 5 memory hogs
#
{{.TopMemHogs}}

################################################################################
# Disk space usage
#
{{.DiskUsage}}

################################################################################
# Block Devices
#
{{.BlockDevs}}

################################################################################
# PCI devices
#
{{.PciDevs}}

################################################################################
# USB devices
#
{{.USBDevs}}

################################################################################
# DRM Information
#
{{.DRMInfo}}

################################################################################
# GL Support
#
{{.GLSupport}}

################################################################################
# Kernel Buffer Tail
#
{{.DmesgTail}}

################################################################################
# Last few reboots
#
{{.LastTenReboots}}

################################################################################
# EFI Support
#
{{.EFISupport}}
`
